.desk {
    height: rem(48);
    position: relative;
    margin-bottom: rem(16);

    &:after,
    &:before {
        left: -2000px;
        right: -2000px;
        height: 1px;
        content: '';
        position: absolute;
        background-color: var(--gray-10);
    }

    &:after {
        top: 0;
    }

    &:before {
        bottom: 0;
    }

    &__label {
        white-space: nowrap;
        font-size: rem(11);
        line-height: rem(20);
        color: var(--gray-40);
    }

    &__content {
        height: rem(48);
        display: flex;
        align-items: center;
        column-gap: rem(12);
        justify-content: space-between;
    }

    &__sorter {
        flex-grow: 1;
        display: flex;
        align-items: center;
    }

    &__switcher {
        display: none;
    }

    &__item {
        display: flex;
        column-gap: rem(12);
        align-items: center;
    }

    @include media-breakpoint-up(md) {
        height: rem(48);
        padding: rem(8) rem(14);
        border-radius: rem(4);
        display: flex;
        align-items: center;
        justify-content: space-between;
        border: 1px solid var(--gray-10);

        &--md {
            margin-bottom: rem(28);
        }

        &:after,
        &:before {
            display: none;
        }

        &__sorter {
            height: auto;
        }

        &__label {
            font-size: rem(13);
            line-height: rem(20);
        }
    }

    @include media-breakpoint-up(xl) {

        &__switcher {
            display: flex;
            column-gap: rem(20);
            align-items: center;
        }
    }
}

.sorter {
    position: relative;
    display: flex;
    align-items: center;

    &__header {
        color: var(--gray-80);
        font-size: rem(11);
        line-height: rem(20);
        white-space: nowrap;
        cursor: pointer;
        display: flex;
        column-gap: rem(6);
        align-items: center;
        transition: var(--transition-time);
    }

    &__arrow {
        height: 4px;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        flex-shrink: 0;
        fill: var(--gray-80);
        transition: var(--transition-time);
    }

    &__content {
        left: rem(-12);
        top: 100%;
        overflow: hidden;
        min-width: rem(190);
        font-size: rem(13);
        line-height: rem(20);
        position: absolute;
        border-radius: rem(4);
        background-color: white;
        box-shadow: var(--shadow);
        opacity: 0;
        visibility: hidden;
    }

    &__item {
        cursor: pointer;
        white-space: nowrap;
        color: var(--gray-50);
        min-height: rem(28);
        padding: rem(2) rem(12);
        text-decoration: none;
        background-color: white;
        display: flex;
        align-items: center;

        &:not(:last-child) {
            border-bottom: 1px solid var(--gray-5);
        }

        &:hover {
            color: white;
            background-color: var(--blue);
        }

        &.active {
            color: var(--gray-50);
            background-color: #FAFAF9;
        }
    }

    &:hover {

        .sorter {

            &__header {
                color: var(--blue);
                transition: var(--transition-time);
            }

            &__arrow {
                fill: var(--blue);
                transition: var(--transition-time);
            }
        }

    }

    &.open {
        z-index: 100;

        .sorter {

            &__content {
                opacity: 1;
                visibility: visible;
            }

            &__arrow {
                transform: rotate(180deg);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(13);
            line-height: rem(20);
        }
    }
}

.sort-direction {
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(16);
    height: rem(16);
    fill: var(--blue);
    cursor: pointer;

    &.toggle {
        transform: scale(1, -1)
    }
}

.switcher-item {
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(10);
    height: rem(10);
    fill: var(--gray-20);
    transition: var(--transition-time);
    flex-shrink: 0;

    &:hover {
        fill: var(--blue);
        transition: var(--transition-time);
    }

    &.active {
        fill: var(--blue);
    }
}
